%global framework incidenceeditor

Name:           kf5-%{framework}
Version:        16.04.0
Release:        1%{?dist}
Summary:        KDE PIM library for creating and editing calendar incidences

License:        LGPLv2+
URL:            http://projects.kde.org/?p=%{framework}.git


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5WebKitWidgets)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5KdepimDBusInterfaces)
BuildRequires:  cmake(KF5KDGantt2)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5MailTransport)

Requires:       kf5-filesystem >= 5.19.0

Obsoletes:      kdepim-libs%{?_isa} < 16.04.0
Conflicts:      kdepim-libs%{?_isa} < 16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5KDGantt2)
Requires:       cmake(KF5EventViews)
Requires:       cmake(KF5CalendarSupport)
Requires:       cmake(KF5CalendarUtils)
Requires:       cmake(KF5CalendarCore)
Requires:       cmake(KF5MailTransport)
Requires:       cmake(KF5Mime)


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_libdir}/libKF5IncidenceEditor.so.*

%files devel
%{_kf5_includedir}/IncidenceEditor
%{_kf5_includedir}/incidenceeditor
%{_kf5_includedir}/incidenceeditor_version.h
%{_kf5_libdir}/libKF5IncidenceEditor.so
%{_kf5_libdir}/cmake/KF5IncidenceEditor
%{_kf5_archdatadir}/mkspecs/modules/qt_IncidenceEditor.pri

%changelog
* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
